const system=require("../../../system");
const Dao=require("../../dao.base");
class MerchanttradeDao extends Dao{
  constructor(){
    super(Dao.getModelName(MerchanttradeDao));
  }

  async getBusinessTypes () {
    return {
      "00": "服务费扣款",
      "10": "个税扣款",
      "20": "增值费扣款",
      "30": "附加费扣款",
      "90": "充值入账",
    }
  }
}
module.exports=MerchanttradeDao;
    // var u=new UserDao();
    // var roledao=system.getObject("db.roleDao");
    // (async ()=>{
    //   var users=await u.model.findAll({where:{app_id:1}});
    //   var role=await roledao.model.findOne({where:{code:"guest"}});
    //   console.log(role);
    //   for(var i=0;i<users.length;i++){
    //     await users[i].setRoles([role]);
    //     console.log(i);
    //   }
    //
    // })();
